package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.bitbucket.nav.NavBuilder;
import com.atlassian.soy.renderer.JsExpression;

public class ListRepoBranchesNavFunction extends BaseRepoNavFunction {

    public ListRepoBranchesNavFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_list_branches");
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return repo(jsExpressions).branches().withParamsIfAvailable(jsExpressions, 2);
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return repo(args).branches();
    }

}
